<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>

<!--  (c) 2008 Varsity Gateway LLC.  All rights reserved. -->
<plugin id="com.metamatrix.modeler.jdbc.ui" name="%pluginName" version="5.5.4" provider-name="%providerName" class="com.metamatrix.modeler.internal.jdbc.ui.ModelerJdbcUiPlugin">

   <runtime>
      <library name="modelerJdbcUi_PATCH.jar">
         <export name="*"/>
      </library>
<library name="modelerJdbcUi.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="com.metamatrix.ui"/>
      <import plugin="com.metamatrix.core"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="com.metamatrix.modeler.jdbc"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="com.metamatrix.modeler.jdbc.relational"/>
      <import plugin="com.metamatrix.modeler.compare"/>
      <import plugin="com.metamatrix.modeler.compare.ui"/>
      <import plugin="com.metamatrix.modeler.ui"/>
      <import plugin="com.metamatrix.metamodels.relational"/>
   </requires>

<!-- Extension Points -->
   <extension-point id="jdbcImportPostProcessor" name="%jdbcImportPostProcessor.name" schema="schema/jdbcImportPostProcessor.exsd"/>

<!-- Eclipse Import Wizards -->
   <extension point="org.eclipse.ui.importWizards">
<!-- JDBC Import Wizard -->
      <wizard name="%importDatabaseViaJdbcWizard.name" icon="icons/full/ctool16/jdbc_import.gif" class="com.metamatrix.modeler.internal.jdbc.ui.wizards.JdbcImportWizard" id="com.metamatrix.modeler.internal.jdbc.ui.wizards.jdbcImportWizard">
         <description>
            %importDatabaseViaJdbcWizard.description
         </description>
      </wizard>
  </extension>
  
  <!-- MetaMatrix Import Wizards -->
   <extension point="com.metamatrix.modeler.ui.importWizards">
<!-- JDBC Import Wizard -->
      <wizard name="%importDatabaseViaJdbcWizard.name" icon="icons/full/ctool16/jdbc_import.gif" class="com.metamatrix.modeler.internal.jdbc.ui.wizards.JdbcImportWizard" id="com.metamatrix.modeler.internal.jdbc.ui.wizards.jdbcImportWizard">
         <description>
            %importDatabaseViaJdbcWizard.description
         </description>
      </wizard>
   </extension>
   <extension id="com.metamatrix.modeler.internal.jdbc.ui.actions.JdbcCostAnalysisAction" name="%jdbcCostAnalysisAction.name" point="com.metamatrix.modeler.ui.modelResourceAction">
      <resourceAction name="com.metamatrix.modeler.internal.jdbc.ui.actions.JdbcCostAnalysisAction" label="%jdbcCostAnalysisAction.label">
      </resourceAction>
   </extension>
</plugin>
